summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbootstrap-stage2-install.sh21
1 files changed, 20 insertions, 1 deletions
diff --git a/bootstrap-stage2-install.sh b/bootstrap-stage2-install.sh
index 2f656d0..f50f42c 100755
--- a/bootstrap-stage2-install.sh
+++ b/bootstrap-stage2-install.sh
@@ -35,6 +35,7 @@ main()
=================================
EOF
+ clean_root
install_packages
install_archplat_sysconf
configure_packages
@@ -55,11 +56,29 @@ log()
printf '\n\n'
}
+clean_root()
+{
+ [ -d root2 ] || return
+
+ cd root2
+
+ case "${ARCH}" in
+ *-linux-*)
+ sudo umount proc || true
+ sudo umount sys || true
+ sudo umount dev || true
+ ;;
+ esac
+
+ cd ..
+
+ rm -Rf root2
+}
+
install_packages()
{
local opk pkg
- rm -Rf root2
mkdir root2
cd root2